import { createServerFn } from "@tanstack/react-start"
import { eq } from "drizzle-orm"
import { db } from "@/integrations/drizzle"
import { places } from "@/integrations/drizzle/db/schema"

export const insertUserPlace = createServerFn({
	method: "POST"
}).handler(async ({ data }) => {
	await db.insert(places).values(data).returning()
})

export const getUserPlaces = createServerFn().handler(async () => {
return await db.select().from(places).where(eq(places.id_user, "e6472b9d-01a9-4e2e-8bdc-0ddaa9baf5d8")) // No haría falta el where puedo filtrar mediante RSL que solo pueda ver sus places solo los datos que el ha insertado
})